diff --git a/init.c b/init.c
index eb8668ea11..fd01ca6bd4 100644
--- a/init.c
+++ b/init.c
@@ -4503,7 +4503,7 @@ static int parse_subscribe_to(struct Buffer *b, struct Buffer *s,
   if (!b || !s || !err)
     return -1;
 
-  mutt_buffer_reset(err);
+  mutt_buffer_rewind(err);
 
   if (MoreArgs(s))
   {
diff --git a/mutt/buffer.c b/mutt/buffer.c
index 6fbcb6df7b..dc2d67844a 100644
--- a/mutt/buffer.c
+++ b/mutt/buffer.c
@@ -36,7 +36,6 @@
  * | mutt_buffer_from()   | Initialize a Buffer from an existing string
  * | mutt_buffer_printf() | Format a string into a Buffer
  * | mutt_buffer_reserve()| Preallocate a certain number of bytes
- * | mutt_buffer_reset()  | Reset an existing Buffer
  * | mutt_buffer_rewind() | Rewind the r/w position to the start of the Buffer
  * | mutt_buffer_seek()   | Set the r/w position to a specific offset
  */
@@ -115,22 +114,6 @@ void mutt_buffer_reinit(struct Buffer *buf)
   mutt_buffer_init(buf);
 }
 
-/**
- * mutt_buffer_reset - Reset an existing Buffer
- * @param b Buffer to reset
- *
- * This can be called on a Buffer to reset the pointers,
- * effectively emptying it.
- */
-void mutt_buffer_reset(struct Buffer *buf)
-{
-  if (!buf)
-    return;
-
-  memset(buf->data, 0, buf->dsize);
-  mutt_buffer_rewind(buf);
-}
-
 /**
  * mutt_buffer_from - Initialize a Buffer from an existing string
  * @param buf Buffer to initialize
diff --git a/mutt/buffer.h b/mutt/buffer.h
index c4f7d6455a..9e17fafccf 100644
--- a/mutt/buffer.h
+++ b/mutt/buffer.h
@@ -48,7 +48,6 @@ void mutt_buffer_addstr(struct Buffer *buf, const char *s);
 void mutt_buffer_from(struct Buffer *buf, char *seed);
 int  mutt_buffer_printf(struct Buffer *buf, const char *fmt, ...);
 void mutt_buffer_reserve(struct Buffer *buf, size_t len);
-void mutt_buffer_reset(struct Buffer *buf);
 void mutt_buffer_rewind(struct Buffer *buf);
 void mutt_buffer_seek(struct Buffer *buf, size_t off);
 
